
#ifndef _C_CONFIG_PROPATY_DLG_
#define _C_CONFIG_PROPATY_DLG_

#include <streams.h>

#include "CDlgBase.h"

#include "CVidRecDlg.h"
#include "CVidSnapShotDlg.h"
#include "CVidSkinDlg.h"
#include "CDriverDlg.h"
#include "CRmtDlg.h"

//\_CAO̒`
enum _PROP_PAGE{
	PROP_PAGE_REC = 0,
	PROP_PAGE_SNAP,
	PROP_PAGE_SKIN,
	PROP_PAGE_REMOCON,
	PROP_PAGE_DRIVER,
};

class CPropCfgDlg : public CBaseDlg{
public:

	CPropCfgDlg();
	~CPropCfgDlg();
	
	HWND m_hWnd;
	HINSTANCE m_hInst;

	//bZ[Wv-W[
    LRESULT DlgProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);

	//oϐ̒`

	int m_iSelDialog;					//Ԃŕ\_CAO

	CVidRecDlg		*m_pDlgRec;
	CVidSnapShotDlg *m_pDlgSnap;
	CRmtDlg			*m_pDlgRemocon;
	CVidSkinDlg		*m_pDlgSkin;
	CDriverDlg		*m_pDlgDriver;

private:

	//o֐
	int GetSelectTab(void);				//IĂ^uԍ擾

	//R}hnh
	void OnOK(HWND hDlg,UINT msg,WPARAM wP,LPARAM lP);
	void OnCancel(HWND hDlg,UINT msg,WPARAM wP,LPARAM lP);

	//NotifybZ[Wnh
	LONG OnTvnSelChange(HWND hDlg,UINT msg,WPARAM wP,LPARAM lP);
	LONG OnTvSelChanging(HWND hDlg,UINT msg,WPARAM wP,LPARAM lP);

	//bZ[Wnh
	int OnWmInitDlg(HWND hDlg,UINT msg,WPARAM wP,LPARAM lP);
	int OnWmCommand(HWND hDlg,UINT msg,WPARAM wP,LPARAM lP);
	int OnWmNotify(HWND hDlg,UINT msg,WPARAM wP,LPARAM lP);
};

#endif
