#ifndef _C_VID_TVTUNER_DLG_
#define _C_VID_TVTUNER_DLG_

#include "CDlgBase.h"
#include <streams.h>

#include "..\DB\CDBTVInfo.h"
#include "..\ComCtrl\CListView.h"
#include "..\DtvEngine\DtvEngine.h"

class CVidTVTunerDlg : public CBaseDlg{
public:

	CVidTVTunerDlg();
	~CVidTVTunerDlg();
	
	//oϐ
	HWND m_hWnd;			//EChEnh
	HINSTANCE m_hInst;		//CX^Xnh

	CDBTVInfo *m_pDBTvInfo;
	CDtvEngine *m_pDtvEngine;

	CListView m_ListView;	//Xgr[pNX

	//o֐
	BOOL AddInfo(ST_TV_INFOMATION *pInfo);
	BOOL AddInfoToDB(ST_TV_INFOMATION *pInfo);
	void SetStatus(char *pszStr);

	//bZ[Wv-W[
    LRESULT DlgProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);

private:

	//oϐ
	HANDLE m_hEventStop;
	HANDLE m_hThreadChScan;

	//R}hnh
	void OnOK(void);
	void OnCancel(void);
	void OnBtnStart(void);
	void OnBtnStop(void);

	//bZ[Wnh
	int OnWmInitDlg(HWND hDlg,UINT msg,WPARAM wP,LPARAM lP);
	int OnWmCommand(HWND hDlg,UINT msg,WPARAM wP,LPARAM lP);
	int OnWmNotify(HWND hDlg,UINT msg,WPARAM wP,LPARAM lP);
	int OnWmScanFinish(HWND hDlg,UINT msg,WPARAM wP,LPARAM lP);
};

#endif