//\e̕`揈x[XNX
#ifndef _C_VIEW_BASE_
#define _C_VIEW_BASE_

#include "..\Skin\CSkinBase.h"

//////////////////////////////////////////////////////////////////////////////
class CViewBase {

public:

	CViewBase();
	~CViewBase();

	void SetSkinFolder(char *pszPath){
		m_szSkinFolder[MAX_PATH-1] = '\0';
		strncpy(m_szSkinFolder,pszPath,MAX_PATH-1);
	}

	//`֐
	void DrawAll(HDC hdc);	//\XV

	//`̃EChE̐ݒ
	void SetWindow(HWND hWnd);
	void SetInstance(HINSTANCE hInst);
	void SetDrawOffSet(RECT rc);
	void GetDrawOffSet(RECT *pRc);

	//XL
	virtual int GetSkinWidth(void) = 0;
	virtual int GetSkinHeight(void) = 0;

protected:

	HWND m_hWnd;
	HINSTANCE m_hInst;
	RECT m_DrawRect;	//`͈

	char m_szSkinFolder[MAX_PATH];	//XLۑpX

	//tHgp֐
	//int GetFontHeight(HFONT hFont);
	BOOL GetFontSize(HFONT hFont,int *pnWidth,int *pnHeight);
	
	//`p̊֐
	BOOL Draw_Text(HDC hdc,HFONT hFont,char *pszText,PTDIGI_SKIN_FONT *pFont,RECT *pRect);
	BOOL Draw_TextW(HDC hdc,HFONT hFont,wchar_t *pszText,PTDIGI_SKIN_FONT *pFont,RECT *pRect);
	BOOL Draw_TextW(HDC hdc,HFONT hFont,wchar_t *pszText,
						   COLORREF colText,COLORREF colBack,
						   BOOL IsTransparent,
						   RECT *pRect,
						   DWORD dwFlag);
	
	BOOL Draw_TextA_Bold(HDC hdc,HFONT hFont,char *pszText,
						   COLORREF colText,COLORREF colBack,
						   BOOL IsTransparent,
						   RECT *pRect,
						   DWORD dwFlag);

	BOOL Draw_TextW_Bold(HDC hdc,HFONT hFont,wchar_t *pszText,
						   COLORREF colText,COLORREF colBack,
						   BOOL IsTransparent,
						   RECT *pRect,
						   DWORD dwFlag);
};

#endif
